---
updatedAt: 2025-04-29T09:34:09.000Z
agentTools:
  projectIndex: https://developers.wingify.com/llms.txt
---

# Create a workspace

Request URI

```
POST /accounts
```

<HTMLBlock>{`
<div></div>

<style></style>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api",
    "version": "4"
  },
  "servers": [
    {
      "url": "https://app.wingify.com/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "token"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/accounts": {
      "post": {
        "summary": "Create a workspace",
        "description": "",
        "operationId": "create-sub-account",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "name"
                ],
                "properties": {
                  "name": {
                    "type": "string",
                    "description": "Workspace name"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "201",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"_data\": {\n    \"id\": 40506,\n    \"name\": \"API Sub Account Name\",\n    \"createdOn\": 1415966384,\n    \"timezone\": \"GMT\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "_data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "example": 40506,
                          "default": 0
                        },
                        "name": {
                          "type": "string",
                          "example": "API Sub Account Name"
                        },
                        "createdOn": {
                          "type": "integer",
                          "example": 1415966384,
                          "default": 0
                        },
                        "timezone": {
                          "type": "string",
                          "example": "GMT"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```